# eric3.QScintilla.SearchReplaceDialog

Module implementing the search and replace dialog.

### Classes

SearchReplaceDialog | Class implementing the search and replace dialog.

### Functions

None

## SearchReplaceDialog

Class implementing the search and replace dialog.

### Derived from

SearchReplaceForm

### Methods

SearchReplaceDialog | Constructor
enableFindButtons | Private slot to enable/disable the find buttons.
findNext | Private method to find the next occurance of the search text.
handleFind | Private slot to find the entered text in the displayed editor.
handleFindNext | Public slot to find the next occurance of text.
handleReplace | Public slot to replace one occurance of text.
handleReplaceAll | Public slot to replace all occurances of text.
showFind | Public method to display this dialog in find mode.
showReplace | Public slot to display this dialog in replace mode.

### SearchReplaceDialog (Constructor)

SearchReplaceDialog(replace, vm, parent = None, name = None, modal = 0, fl = 0)

Constructor

replace
  flag indicating a replace dialog is called
vm
  reference to the viewmanager object
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

### SearchReplaceDialog.enableFindButtons

enableFindButtons()

Private slot to enable/disable the find buttons.

### SearchReplaceDialog.findNext

findNext(txt)

Private method to find the next occurance of the search text.

txt
  text to search for (QString)

Returns:
  flag indicating success (boolean)

### SearchReplaceDialog.handleFind

handleFind(searchText = QString.null)

Private slot to find the entered text in the displayed editor.

searchText
  text to be searched for (QString)

### SearchReplaceDialog.handleFindNext

handleFindNext()

Public slot to find the next occurance of text.

### SearchReplaceDialog.handleReplace

handleReplace()

Public slot to replace one occurance of text.

### SearchReplaceDialog.handleReplaceAll

handleReplaceAll()

Public slot to replace all occurances of text.

### SearchReplaceDialog.showFind

showFind(text='')

Public method to display this dialog in find mode.

text
  text to be shown in the findtext edit

### SearchReplaceDialog.showReplace

showReplace(text='')

Public slot to display this dialog in replace mode.

text
  text to be shown in the findtext edit

Up